body {
	top: 0px !important;
}

a {
	color: #cb000b;
}

a:hover {
	color: #cb000b;
}

.btn {
	border-radius: 10px;
}

ol.catalogs li + li:before {
	content: "/";
	color: #ccc;
	padding-left: 5px;
}

@media (min-width: 576px) {
	.cc-sm-1 {
		column-count: 1;
	}
}

@media (min-width: 768px) {
	.cc-md-1 {
		column-count: 1;
	}

	.cc-md-2 {
		column-count: 2;
	}

	.cc-md-3 {
		column-count: 3;
	}
}

@media (min-width: 992px) {
	.cc-lg-1 {
		column-count: 1;
	}

	.cc-lg-2 {
		column-count: 2;
	}

	.cc-lg-3 {
		column-count: 3;
	}
}

@media (min-width: 1140px) {
	.cc-xs-3 {
		column-count: 3;
	}
}

.group-img-bg {
	background-repeat: no-repeat;
	background-position: bottom right;
	background-size: contain, contain;
	max-height: 300px;
	min-height: 120px;
	overflow: hidden;
	font-size: 20px;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: center;
	gap: 15px;
}

.part-pos {
	background-color: rgba(0, 0, 0, 0.15);
	border-radius: 6px;
	position: absolute;
}

.part-pos:hover {
	border: 1px solid #007bff;
}

.part-pos {
	transform: scale(1.7);
}

@keyframes crescendo {
	0% {
		transform: scale(2.5);
	}

	100% {
		transform: scale(1.7);
	}
}

@media (min-width: 576px) {
	.part-pos {
		transform: scale(1.4);
	}
}

@media (min-width: 768px) {
	.part-pos {
		transform: scale(1);
	}

	@keyframes crescendo {
		0% {
			transform: scale(1.7);
		}

		100% {
			transform: scale(1);
		}
	}
}

.table-pos.target > div,
.table-pos:target > div {
	border-left-style: solid;
	border-left-width: 4px;
	border-left-color: #ffc107 !important;
}

.table-pos:target > .badge {
	background-color: #ffc107 !important;
}

.scheme-pos.target .part-pos,
.scheme-pos:target .part-pos {
	background-color: rgba(255, 193, 7, 0.5);
	animation: crescendo 0.6s alternate ease-in;
}

.car-row:hover {
	z-index: 1;
	background-color: rgb(248, 249, 250);
}

.rounded {
	border-radius: 10px !important;
}

.bordered {
	border: #ccc 1px solid !important;
}

.modal-content {
	border-radius: 10px;
}

.form-control {
	box-shadow: none !important;
}

.block-content {
	display: block;
	padding: 15px;
}

.grid {
	display: grid;
	gap: 15px;
}

.grid.grid-3 {
	grid-template-columns: repeat(3, 1fr);
}

@media screen and (max-width: 767px) {
	.grid.grid-3 {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media screen and (max-width: 575px) {
	.grid.grid-3 {
		grid-template-columns: repeat(1, 1fr);
	}
}

.panel-navigation {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 10px;
	margin-bottom: 10px;
}

.badge {
	padding: 10px;
}

@media screen and (max-width: 991px) {
	.row--parts {
		flex-direction: column-reverse;
	}
}

#scheme-box {
	max-width: 800px;
	width: 100%;
	margin: 0 auto;
}

.part-name-block__tip-content {
	display: none;
}

.part-name-block {
	display: flex;
	gap: 10px;
}

.part-name-block__tip-icon {
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 360px;
	width: 24px;
	height: 24px;
	border: #ccc 1px solid;
	cursor: help;
	font-size: 14px;
}

@media (min-width: 992px) {
	.row--parts {
		display: flex;
		flex-wrap: nowrap;
		align-items: flex-start;
	}

	.row--parts-list {
		flex: 1 1 auto;
		max-width: calc(100% - 600px);
		min-width: 0;
	}

	.row--parts-scheme {
		flex: 0 0 600px;
		max-width: 600px;
	}

	.row--parts-scheme .sticky-top {
		width: 100%;
	}

	#scheme-box {
		width: 100%;
		max-width: 600px;
		margin-left: auto;
	}
}

@media (min-width: 992px) and (max-width: 1300px) {
	.row--parts-list {
		max-width: calc(100% - 450px);
	}

	.row--parts-scheme {
		flex: 0 0 450px;
		max-width: 450px;
	}

	#scheme-box {
		max-width: 450px;
	}
}

@media (max-width: 991.98px) {
	.row--parts {
		display: flex;
		flex-wrap: wrap;
	}

	.row--parts-list,
	.row--parts-scheme {
		flex: 0 0 100%;
		max-width: 100%;
	}

	#scheme-box {
		width: 100%;
		max-width: 600px;
		margin-left: auto;
		margin-right: auto;
	}
}

.tippy-box pre {
	color: #fff !important;
	width: 100%;
	word-wrap: break-word;
	word-break: break-all;
	white-space: pre-wrap;
}

.header-panel {
	display: flex;
	align-items: center;
	justify-content: space-between;
	margin-bottom: 10px;
}

.lang-selector {
	display: flex;
	flex-direction: row;
	gap: 5px;
	flex-wrap: wrap;
}

.lang-selector a {
	border-radius: 5px;
	border: #ccc 1px solid;
	padding: 5px 10px;
	text-decoration: none;
	transition: all 0.2s ease-in-out;
	color: #000;
}

.lang-selector a:hover {
	background: #eeeeee;
}

.lang-selector a.active {
	background: #006da2;
	color: #fff;
}

#groups_tree {
	padding-right: 25px;
}

#groups_tree,
#groups_ajax_content {
	height: calc(100vh - 135px);
	overflow-y: auto;
	overflow-x: hidden;
	transition: opacity 0.2s ease-in-out;
	opacity: 1;
}

#groups_ajax_content.is-loading {
	pointer-events: none;
	opacity: 0.5;
	position: relative;
}

#groups_ajax_content.is-loading:after {
	content: "";
	width: 60px;
	height: 60px;
	position: absolute;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	margin: auto;
	background: url("../img/loader.svg");
	background-size: contain;
	border-radius: 360px;
}

#groups_tree.is-loading {
	pointer-events: none;
	opacity: 0.5;
	position: relative;
}


#groups_tree .jstree-anchor {
	height: auto !important;
	white-space: break-spaces !important;
	vertical-align: top;
}

#groups_tree .jstree-li {
	height: auto !important;
}